/*
 * ServletIMC.java
 *
 * Created on 30 de marzo de 2007, 11:05
 */

import java.io.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;


public class ServletIMC extends HttpServlet {
   
	private String pPeso=null;
	private String pAltura=null;
	private float peso=0.0f;
	private float altura=0.0f;	
	private float imc=0.0f;
	private String respuesta=null;
	private String r1="Estas Fenomenal!";
	private String r2="Tienes sobrepeso, consulta con tu medico";
	private String r3="Tienes obesidad morbida";
	
	
	public void doPost (HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException 
	{
		pPeso=req.getParameter("peso");
		pAltura=req.getParameter("altura");
		
		peso=Float.parseFloat(pPeso);
		altura=Float.parseFloat(pAltura);
		
		imc=peso/(altura*altura);
		
		if(imc< 25.0f)
		{
			respuesta=r1;
		}
		else{ 
			if((imc>= 25.0f) && (imc < 40.0f)) {
				respuesta=r2;
			}
			else
				respuesta=r3;
		}
		
		
		devolverPaginaHTML(resp);
	}
	
	public void devolverPaginaHTML(HttpServletResponse resp)
	{
		resp.setContentType("text/html");
		
		PrintWriter out=null;
		try{
			out=resp.getWriter();
		}
		catch (IOException e)
		{
				System.out.println("Se ha producido una IOException");
		}
		
		out.println("<HTML>");
		out.println("<HEAD>");
		out.println("<TITLE>Indice masa corporal</TITLE>");
		out.println("</HEAD>");
		out.println("<BODY>");
		out.println("<b>Su indice de masa corporal es: " + imc);
		out.println("<p>"+ respuesta);
		out.println("</BODY>");
		out.println("</HTML>");
		
		out.flush();
		out.close();
	}
}
